unit uUsuariosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorLogin, Dialogs, uEditorUsuario, uEditorUsuarios,
  uEditorPerfilesUsuario, uEditorPerfilUsuario;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorLogin, 'EditorLogin');
  EditorRegistry.RegisterClass(TfEditorUsuarios, 'EditorUsuarios');
  EditorRegistry.RegisterClass(TfEditorUsuario, 'EditorUsuario');
  EditorRegistry.RegisterClass(TfEditorPerfilesUsuario, 'EditorPerfilesUsuario');
  EditorRegistry.RegisterClass(TfEditorPerfilUsuario, 'EditorPerfilUsuario');

end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorLogin);
  EditorRegistry.UnRegisterClass(TfEditorUsuarios);
  EditorRegistry.UnRegisterClass(TfEditorUsuario);
  EditorRegistry.UnRegisterClass(TfEditorPerfilesUsuario);
  EditorRegistry.UnRegisterClass(TfEditorPerfilUsuario);
end;

end.
